.case-card.case-card_product-2 .case-card__header {
  position: relative;
  z-index: 2;
  width: 100%;
  height: 15.625rem;
  border-radius: var(--radius-primary);
  overflow: hidden;
  -ms-flex-negative: 0;
      flex-shrink: 0; }
  @media screen and (min-width: 1921px) {
    .case-card.case-card_product-2 .case-card__header {
      height: 13.02083vw; } }
  @media screen and (max-width: 1700px) {
    .case-card.case-card_product-2 .case-card__header {
      height: 13.75rem; } }
  @media screen and (max-width: 750px) {
    .case-card.case-card_product-2 .case-card__header {
      height: 12.5rem; } }
  .case-card.case-card_product-2 .case-card__header::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 8.125rem;
    background-image: -webkit-gradient(linear, left top, left bottom, from(rgba(0, 0, 0, 0)), to(rgba(0, 0, 0, 0.5)));
    background-image: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.5) 100%); }
    @media screen and (min-width: 1921px) {
      .case-card.case-card_product-2 .case-card__header::before {
        height: 6.77083vw; } }
    @media screen and (max-width: 1700px) {
      .case-card.case-card_product-2 .case-card__header::before {
        height: 5.875rem; } }
    @media screen and (max-width: 750px) {
      .case-card.case-card_product-2 .case-card__header::before {
        height: 3.625rem; } }

.case-card.case-card_product-2 .case-card__content {
  padding: 1.5625rem 1.875rem 1.875rem;
  width: 100%;
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 1.25rem; }
  @media screen and (min-width: 1921px) {
    .case-card.case-card_product-2 .case-card__content {
      padding: 1.30208vw 1.5625vw 1.5625vw;
      gap: 1.04167vw; } }
  @media screen and (max-width: 1240px) {
    .case-card.case-card_product-2 .case-card__content {
      padding: 1.5625rem 1.25rem;
      gap: 0.9375rem; } }
  .case-card.case-card_product-2 .case-card__content .product-details_description {
    display: -webkit-box;
    height: 6rem;
    text-overflow: ellipsis;
    line-clamp: 4;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden; }
    @media screen and (min-width: 1921px) {
      .case-card.case-card_product-2 .case-card__content .product-details_description {
        height: 5vw; } }
    @media screen and (max-width: 1700px) {
      .case-card.case-card_product-2 .case-card__content .product-details_description {
        height: 5.3125rem; } }
    @media screen and (max-width: 750px) {
      .case-card.case-card_product-2 .case-card__content .product-details_description {
        line-clamp: 3;
        -webkit-line-clamp: 3; } }
  .case-card.case-card_product-2 .case-card__content .product-price {
    margin-top: auto;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    row-gap: 0; }
  .case-card.case-card_product-2 .case-card__content .product-button {
    width: 100%; }
    .case-card.case-card_product-2 .case-card__content .product-button .button {
      width: 100%; }

.case-card.case-card_product-2 .case-card__title {
  width: 100%;
  display: block;
  color: var(--text-light-primary);
  font: var(--font-title-S);
  text-decoration: none;
  -webkit-transition: color var(--animation-default);
  transition: color var(--animation-default); }
  @media (any-hover: hover) {
    .case-card.case-card_product-2 .case-card__title[href]:hover {
      color: var(--accent-primary-default); } }
  .case-card.case-card_product-2 .case-card__title[href]::before {
    content: "";
    position: absolute;
    top: -0rem;
    left: -0rem;
    width: calc(100% + 0rem * 2);
    height: calc(100% + 0rem * 2);
    background-color: transparent;
    opacity: 0; }
    @media screen and (min-width: 1921px) {
      .case-card.case-card_product-2 .case-card__title[href]::before {
        top: 0vw;
        left: 0vw;
        width: calc(100% + 0vw * 2);
        height: calc(100% + 0vw * 2); } }

.case-card.case-card_product-2 .case-card__description {
  width: 100%;
  height: auto;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  row-gap: 0.9375rem;
  -webkit-column-gap: 0rem;
     -moz-column-gap: 0rem;
          column-gap: 0rem; }

.case-card.case-card_product-2 .case-card__option {
  position: relative;
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -ms-flex-item-align: stretch;
      align-self: stretch;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 0.625rem;
  color: var(--text-light-primary);
  font: var(--font-body-M-r); }
  @media screen and (min-width: 1921px) {
    .case-card.case-card_product-2 .case-card__option {
      gap: 0.52083vw; } }
  .case-card.case-card_product-2 .case-card__option > .icon {
    width: 1.25rem;
    height: 1.25rem;
    fill: var(--accent-secondary-default); }
    @media screen and (min-width: 1921px) {
      .case-card.case-card_product-2 .case-card__option > .icon {
        width: 1.04167vw;
        height: 1.04167vw; } }
  .case-card.case-card_product-2 .case-card__option__icon {
    width: 1.5rem;
    height: 1.5rem; }
    @media screen and (min-width: 1921px) {
      .case-card.case-card_product-2 .case-card__option__icon {
        width: 1.25vw;
        height: 1.25vw; } }

.case-card.case-card_product-2 .case-card__item {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between; }

.case-card.case-card_product-2 .case-card__text {
  color: var(--text-light-secondary);
  font: var(--font-body-M-r); }

.case-card.case-card_product-2 .case-card__rate {
  color: var(--text-light-primary);
  font: var(--font-body-M-m); }

.case-card {
  position: relative;
  width: 100%;
  max-width: 46.5625rem;
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  border: 1px solid var(--stroke-dark);
  border-radius: var(--radius-primary);
  overflow: hidden; }
  @media screen and (min-width: 1921px) {
    .case-card {
      max-width: 38.80208vw;
      border-width: 0.05208vw; } }
  @media screen and (max-width: 1700px) {
    .case-card {
      max-width: 34.6875rem; } }
  @media screen and (max-width: 1240px) {
    .case-card {
      max-width: 20.8125rem; } }
  @media screen and (max-width: 750px) {
    .case-card {
      max-width: 18.125rem; } }
  .case-card__tags {
    position: absolute;
    top: 0.75rem;
    right: 0.75rem;
    left: 0.75rem;
    z-index: 1; }
    @media screen and (min-width: 1921px) {
      .case-card__tags {
        top: 0.625vw;
        right: 0.625vw;
        left: 0.625vw; } }
  .case-card__title {
    margin-bottom: auto; }
  .case-card__image {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
    width: 100%;
    height: 100%;
    display: none;
    pointer-events: none; }
    .case-card__image_active {
      display: block; }
    .case-card__image img,
    .case-card__image picture {
      width: 100%;
      height: 100%;
      -o-object-fit: cover;
         object-fit: cover;
      -o-object-position: center;
         object-position: center;
      -webkit-user-select: none;
         -moz-user-select: none;
          -ms-user-select: none;
              user-select: none; }
  .case-card__slideshow {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    padding: 0.9375rem;
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: stretch;
        -ms-flex-align: stretch;
            align-items: stretch;
    -webkit-box-pack: stretch;
        -ms-flex-pack: stretch;
            justify-content: stretch;
    gap: 0.625rem; }
    @media screen and (min-width: 1921px) {
      .case-card__slideshow {
        padding: 0.78125vw;
        gap: 0.52083vw; } }
  .case-card__button {
    position: relative;
    width: 100%;
    height: 100%;
    -webkit-box-flex: 1;
        -ms-flex-positive: 1;
            flex-grow: 1; }
    @media (any-hover: hover) {
      .case-card__button:hover::after {
        background-color: var(--bg-white); } }
    .case-card__button::before {
      content: "";
      position: absolute;
      top: -0.3125rem;
      left: -0.3125rem;
      width: calc(100% + 0.3125rem * 2);
      height: calc(100% + 0.3125rem * 2);
      background-color: transparent;
      opacity: 0; }
      @media screen and (min-width: 1921px) {
        .case-card__button::before {
          top: -0.26042vw;
          left: -0.26042vw;
          width: calc(100% + 0.26042vw * 2);
          height: calc(100% + 0.26042vw * 2); } }
    .case-card__button::after {
      content: "";
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 0.1875rem;
      background-color: var(--text-light-disabled);
      border-radius: var(--radius-infinity);
      -webkit-transition: background-color var(--animation-default);
      transition: background-color var(--animation-default); }
      @media screen and (min-width: 1921px) {
        .case-card__button::after {
          height: 0.15625vw; } }
    .case-card__button_active::after {
      background-color: var(--bg-white); }

.product-card.product-card_description .product-details {
  display: -webkit-box;
  text-overflow: ellipsis;
  line-clamp: 3;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden; }

.product-price {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 0.625rem;
  row-gap: 0; }
  @media screen and (min-width: 1921px) {
    .product-price {
      gap: 0.52083vw; } }
  .product-price__value {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    color: var(--text-light-primary);
    font: var(--font-title-S); }
    @media screen and (max-width: 1700px) {
      .product-price__value {
        font: var(--font-body-L-m); } }
    .product-price__value_old {
      width: -webkit-fit-content;
      width: -moz-fit-content;
      width: fit-content;
      color: var(--text-light-secondary);
      font: var(--font-body-M-m); }
      @media screen and (max-width: 1240px) {
        .product-price__value_old {
          font: var(--font-body-S-m); } }

.product-details {
  margin: 0;
  padding: 0;
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 0.9375rem;
  color: var(--text-light-secondary);
  font: var(--font-body-M-r); }
  @media screen and (min-width: 1921px) {
    .product-details {
      gap: 0.78125vw; } }
  @media screen and (max-width: 1700px) {
    .product-details {
      gap: 0.625rem; } }
  .product-details__description {
    color: var(--text-light-secondary);
    font: var(--font-body-M-r); }
  .product-details__rate {
    color: var(--text-light-primary);
    font: var(--font-body-M-m); }
  .product-details__item {
    padding-bottom: 0.9375rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    border-bottom: 1px dashed var(--stroke-dark); }
    @media screen and (min-width: 1921px) {
      .product-details__item {
        padding-bottom: 0.78125vw;
        border-width: 0.05208vw; } }
    @media screen and (max-width: 1700px) {
      .product-details__item {
        padding-bottom: 0.625rem; } }
    .product-details__item:last-child {
      padding-bottom: 0;
      border-bottom: 0; }

.product-tags {
  width: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 0.3125rem; }
  @media screen and (min-width: 1921px) {
    .product-tags {
      gap: 0.26042vw; } }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbImNvbXBvbmVudHMvY2FyZHMvY2FzZS1jYXJkL2Nhc2UtY2FyZC1wcm9kdWN0X3QyLnNjc3MiLCJtaXhpbnMvX21pbmkuc2NzcyIsIm1peGlucy9fbWVkaWEuc2NzcyIsIm1peGlucy9fZGlzYWJsZS1tb2ItaG92ZXIuc2NzcyIsIm1peGlucy9fcHNldWRvLWhvdmVyLnNjc3MiLCJtaXhpbnMvX3NxdWFyZS5zY3NzIiwiY29tcG9uZW50cy9jYXJkcy9jYXNlLWNhcmQvX2Nhc2UtY2FyZC1nZW5lcmFsLnNjc3MiLCJjb21wb25lbnRzL2NhcmRzL3Byb2R1Y3QtY2FyZC9fZGVzY3JpcHRpb24uc2NzcyIsImNvbXBvbmVudHMvY2FyZHMvcHJvZHVjdC1jYXJkL19wcm9kdWN0LXByaWNlLnNjc3MiLCJjb21wb25lbnRzL2NhcmRzL3Byb2R1Y3QtY2FyZC9fcHJvZHVjdC1kZXRhaWxzLnNjc3MiLCJjb21wb25lbnRzL2NhcmRzL3Byb2R1Y3QtY2FyZC9fcHJvZHVjdC10YWdzLnNjc3MiXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IkFBRUE7RUFHTSxrQkFBa0I7RUFDbEIsVUFBVTtFQUVWLFdBQVc7RUFDWCxpQkNSeUI7RURVekIsb0NBQW9DO0VBQ3BDLGdCQUFnQjtFQUVoQixvQkFBYztNQUFkLGNBQWMsRUFBQTtFRWJsQjtJRkNGO01BZVEsa0JDWjZCLEVBQUEsRURnRGhDO0VFeENIO0lGWEY7TUFtQlEsZ0JDcEJ1QixFQUFBLEVEb0QxQjtFRTVCSDtJRnZCRjtNQXVCUSxlQ3hCdUIsRUFBQSxFRG9EMUI7RUFuREw7SUEyQlEsV0FBVztJQUVYLGtCQUFrQjtJQUNsQixTQUFTO0lBQ1QsT0FBTztJQUNQLFVBQVU7SUFFVixXQUFXO0lBQ1gsZ0JDcEN1QjtJRHNDdkIsaUhBQTJGO0lBQTNGLHVGQUEyRixFQUFBO0lFdENqRztNRkNGO1FBd0NVLGlCQ3JDMkIsRUFBQSxFRCtDOUI7SUV2Q0w7TUZYRjtRQTRDVSxnQkM3Q3FCLEVBQUEsRURtRHhCO0lFM0JMO01GdkJGO1FBZ0RVLGdCQ2pEcUIsRUFBQSxFRG1EeEI7O0FBbERQO0VBc0RNLG9DQ3ZEeUI7RUR3RHpCLFdBQVc7RUFDWCxZQUFZO0VBQ1osb0JBQWE7RUFBYixvQkFBYTtFQUFiLGFBQWE7RUFDYiw0QkFBc0I7RUFBdEIsNkJBQXNCO01BQXRCLDBCQUFzQjtVQUF0QixzQkFBc0I7RUFDdEIsd0JBQXVCO01BQXZCLHFCQUF1QjtVQUF2Qix1QkFBdUI7RUFDdkIsdUJBQTJCO01BQTNCLG9CQUEyQjtVQUEzQiwyQkFBMkI7RUFDM0IsWUM5RHlCLEVBQUE7RUNBN0I7SUZDRjtNQWdFUSxvQ0M3RDZCO01EOEQ3QixjQzlENkIsRUFBQSxFRCtHaEM7RUVqR0g7SUZqQkY7TUFxRVEsMEJDdEV1QjtNRHVFdkIsY0N2RXVCLEVBQUEsRURtSDFCO0VBbEhMO0lBMkVVLG9CQUFvQjtJQUVwQixZQzlFcUI7SURnRnJCLHVCQUF1QjtJQUN2QixhQUFhO0lBQ2IscUJBQXFCO0lBQ3JCLDRCQUE0QjtJQUU1QixnQkFBZ0IsRUFBQTtJRXJGeEI7TUZDRjtRQXVGWSxXQ3BGeUIsRUFBQSxFRCtGNUI7SUV2RlA7TUZYRjtRQTJGWSxpQkM1Rm1CLEVBQUEsRURtR3RCO0lFM0VQO01GdkJGO1FBK0ZZLGFBQWE7UUFDYixxQkFBcUIsRUFBQSxFQUV4QjtFQWxHVDtJQXNHUSxnQkFBZ0I7SUFDaEIsbUJBQWU7UUFBZixlQUFlO0lBQ2YsVUFBVSxFQUFBO0VBeEdsQjtJQTRHUSxXQUFXLEVBQUE7SUE1R25CO01BK0dVLFdBQVcsRUFBQTs7QUEvR3JCO0VBcUhNLFdBQVc7RUFDWCxjQUFjO0VBRWQsZ0NBQWdDO0VBQ2hDLHlCQUF5QjtFQUN6QixxQkFBcUI7RUFFckIsa0RBQTBDO0VBQTFDLDBDQUEwQyxFQUFBO0VHN0g5QztJSENGO01BZ0lTLG9DQUFvQyxFQUFBLEVHOUh4QztFSEZMO0lJREUsV0FBVztJQUVYLGtCQUFrQjtJQUNsQixVQUFxQjtJQUNyQixXQUFzQjtJQUV0Qiw0QkFBc0M7SUFDdEMsNkJBQXVDO0lBRXZDLDZCQUE2QjtJQUM3QixVQUFVLEVBQUE7SUZWVjtNRkNGO1FJWUksUUFBSztRQUNMLFNBQU07UUFFTiwyQkFBc0M7UUFDdEMsNEJBQXVDLEVBQUEsRUpxSGxDOztBQXJJVDtFQTBJTSxXQUFXO0VBQ1gsWUFBWTtFQUNaLGFBQWE7RUFDYiwwQkFBMEI7RUFDMUIsdUJBQXVCO0VBQ3ZCLGtCQ2hKeUI7RURpSnpCLHdCQ2pKeUI7S0RpSnpCLHFCQ2pKeUI7VURpSnpCLGdCQ2pKeUIsRUFBQTs7QURDL0I7RUFvSk0sa0JBQWtCO0VBRWxCLFdBQVc7RUFDWCxvQkFBYTtFQUFiLG9CQUFhO0VBQWIsYUFBYTtFQUNiLHlCQUFtQjtNQUFuQixzQkFBbUI7VUFBbkIsbUJBQW1CO0VBQ25CLDRCQUFtQjtNQUFuQixtQkFBbUI7RUFDbkIsdUJBQTJCO01BQTNCLG9CQUEyQjtVQUEzQiwyQkFBMkI7RUFDM0IsYUM1SnlCO0VEOEp6QixnQ0FBZ0M7RUFDaEMsMEJBQTBCLEVBQUE7RUUvSjlCO0lGQ0Y7TUFpS1EsY0M5SjZCLEVBQUEsRUQwS2hDO0VBN0tMO0lLREUsY0FBTztJQUNQLGVBQVE7SUx1S0YscUNBQXFDLEVBQUE7SUV4SzNDO01GQ0Y7UUtJTSxnQkFBTztRQUNQLGlCQUFRLEVBQUEsRUxtS1A7RUF4S1A7SUtERSxhQUFPO0lBQ1AsY0FBUSxFQUFBO0lIRFI7TUZDRjtRS0lNLGFBQU87UUFDUCxjQUFRLEVBQUEsRUx1S1A7O0FBNUtQO0VBZ0xNLFdBQVc7RUFDWCxvQkFBYTtFQUFiLG9CQUFhO0VBQWIsYUFBYTtFQUNiLDhCQUFtQjtFQUFuQiw2QkFBbUI7TUFBbkIsdUJBQW1CO1VBQW5CLG1CQUFtQjtFQUNuQix3QkFBdUI7TUFBdkIscUJBQXVCO1VBQXZCLHVCQUF1QjtFQUN2Qix5QkFBOEI7TUFBOUIsc0JBQThCO1VBQTlCLDhCQUE4QixFQUFBOztBQXBMcEM7RUF3TE0sa0NBQWtDO0VBQ2xDLDBCQUEwQixFQUFBOztBQXpMaEM7RUE2TE0sZ0NBQWdDO0VBQ2hDLDBCQUEwQixFQUFBOztBTTlMaEM7RUFDRSxrQkFBa0I7RUFFbEIsV0FBVztFQUNYLHFCTEw2QjtFS003QixZQUFZO0VBQ1osb0JBQWE7RUFBYixvQkFBYTtFQUFiLGFBQWE7RUFDYiw0QkFBc0I7RUFBdEIsNkJBQXNCO01BQXRCLDBCQUFzQjtVQUF0QixzQkFBc0I7RUFDdEIsd0JBQXVCO01BQXZCLHFCQUF1QjtVQUF2Qix1QkFBdUI7RUFFdkIsb0NBQW9DO0VBQ3BDLG9DQUFvQztFQUNwQyxnQkFBZ0IsRUFBQTtFSmJoQjtJSUNGO01BZUkscUJMWmlDO01LY2pDLHVCTGRpQyxFQUFBLEVLeUlwQztFSmpJQztJSVhGO01BcUJJLHFCTHRCMkIsRUFBQSxFSzZJOUI7RUozSEM7SUlqQkY7TUF5QkkscUJMMUIyQixFQUFBLEVLNkk5QjtFSnJIQztJSXZCRjtNQTZCSSxvQkw5QjJCLEVBQUEsRUs2STlCO0VBNUdDO0lBQ0Usa0JBQWtCO0lBQ2xCLFlMbkMyQjtJS29DM0IsY0xwQzJCO0lLcUMzQixhTHJDMkI7SUtzQzNCLFVBQVUsRUFBQTtJSnRDWjtNSWlDQTtRQVFJLFlMckMrQjtRS3NDL0IsY0x0QytCO1FLdUMvQixhTHZDK0IsRUFBQSxFS3lDbEM7RUFFRDtJQUNFLG1CQUFtQixFQUFBO0VBR3JCO0lBQ0Usa0JBQWtCO0lBQ2xCLE1BQU07SUFDTixPQUFPO0lBQ1AsVUFBVTtJQUVWLFdBQVc7SUFDWCxZQUFZO0lBQ1osYUFBYTtJQUViLG9CQUFvQixFQUFBO0lBRXBCO01BQ0UsY0FBYyxFQUFBO0lBYmpCOztNQWtCRyxXQUFXO01BQ1gsWUFBWTtNQUNaLG9CQUFpQjtTQUFqQixpQkFBaUI7TUFDakIsMEJBQXVCO1NBQXZCLHVCQUF1QjtNQUV2Qix5QkFBaUI7U0FBakIsc0JBQWlCO1VBQWpCLHFCQUFpQjtjQUFqQixpQkFBaUIsRUFBQTtFQUlyQjtJQUNFLGtCQUFrQjtJQUNsQixNQUFNO0lBQ04sT0FBTztJQUNQLFVBQVU7SUFFVixrQkxwRjJCO0lLcUYzQixXQUFXO0lBQ1gsWUFBWTtJQUNaLG9CQUFhO0lBQWIsb0JBQWE7SUFBYixhQUFhO0lBQ2IsMEJBQW9CO1FBQXBCLHVCQUFvQjtZQUFwQixvQkFBb0I7SUFDcEIseUJBQXdCO1FBQXhCLHNCQUF3QjtZQUF4Qix3QkFBd0I7SUFDeEIsYUwxRjJCLEVBQUE7SUNBN0I7TUk4RUE7UUFlSSxrQkx6RitCO1FLMEYvQixjTDFGK0IsRUFBQSxFSzRGbEM7RUFFRDtJQUNFLGtCQUFrQjtJQUVsQixXQUFXO0lBQ1gsWUFBWTtJQUNaLG1CQUFZO1FBQVosb0JBQVk7WUFBWixZQUFZLEVBQUE7SUh2R2Q7TUdrR0M7UUFTSyxpQ0FBaUMsRUFBQSxFQUNsQztJQVZKO01GbEdELFdBQVc7TUFFWCxrQkFBa0I7TUFDbEIsZUFBcUI7TUFDckIsZ0JBQXNCO01BRXRCLGlDQUFzQztNQUN0QyxrQ0FBdUM7TUFFdkMsNkJBQTZCO01BQzdCLFVBQVUsRUFBQTtNRlZWO1FJa0dDO1VGckZDLGVBQUs7VUFDTCxnQkFBTTtVQUVOLGlDQUFzQztVQUN0QyxrQ0FBdUMsRUFBQSxFRWdHdEM7SUFmRjtNQWtCRyxXQUFXO01BRVgsa0JBQWtCO01BQ2xCLFNBQVM7TUFDVCxPQUFPO01BRVAsV0FBVztNQUNYLGlCTDNIeUI7TUs2SHpCLDRDQUE0QztNQUM1QyxxQ0FBcUM7TUFFckMsNkRBQXFEO01BQXJELHFEQUFxRCxFQUFBO01KaEl6RDtRSWtHQztVQWlDSyxpQkwvSDZCLEVBQUEsRUtpSWhDO0lBRUE7TUFFRyxpQ0FBaUMsRUFBQTs7QUN4SXpDO0VBRUksb0JBQW9CO0VBRXBCLHVCQUF1QjtFQUNmLGFBQWE7RUFDckIscUJBQXFCO0VBQ3JCLDRCQUE0QjtFQUU1QixnQkFBZ0IsRUFBQTs7QUNYcEI7RUFDRSxvQkFBYTtFQUFiLG9CQUFhO0VBQWIsYUFBYTtFQUNiLDhCQUFtQjtFQUFuQiw2QkFBbUI7TUFBbkIsdUJBQW1CO1VBQW5CLG1CQUFtQjtFQUNuQix3QkFBdUI7TUFBdkIscUJBQXVCO1VBQXZCLHVCQUF1QjtFQUN2QixtQkFBZTtNQUFmLGVBQWU7RUFDZixhUEo2QjtFT0s3QixVQUFVLEVBQUE7RU5MVjtJTURGO01BU0ksY1BKaUMsRUFBQSxFTzRCcEM7RUFyQkM7SUFDRSwwQkFBa0I7SUFBbEIsdUJBQWtCO0lBQWxCLGtCQUFrQjtJQUVsQixnQ0FBZ0M7SUFDaEMseUJBQXlCLEVBQUE7SU5IM0I7TU1EQTtRQU9JLDBCQUEwQixFQUFBLEVBYTdCO0lBVkM7TUFDRSwwQkFBa0I7TUFBbEIsdUJBQWtCO01BQWxCLGtCQUFrQjtNQUVsQixrQ0FBa0M7TUFDbEMsMEJBQTBCLEVBQUE7TU5QOUI7UU1HRTtVQU9JLDBCQUEwQixFQUFBLEVBRTdCOztBQy9CTDtFQUNFLFNBQVM7RUFFVCxVQUFVO0VBQ1YsV0FBVztFQUNYLG9CQUFhO0VBQWIsb0JBQWE7RUFBYixhQUFhO0VBQ2IsNEJBQXNCO0VBQXRCLDZCQUFzQjtNQUF0QiwwQkFBc0I7VUFBdEIsc0JBQXNCO0VBQ3RCLGNSTjZCO0VRUTdCLGtDQUFrQztFQUNsQywwQkFBMEIsRUFBQTtFUFQxQjtJT0RGO01BYUksY1JSaUMsRUFBQSxFUStDcEM7RVB2Q0M7SU9iRjtNQWlCSSxhUmhCMkIsRUFBQSxFUW1EOUI7RUFoQ0M7SUFDRSxrQ0FBa0M7SUFDbEMsMEJBQTBCLEVBQUE7RUFHNUI7SUFDRSxnQ0FBZ0M7SUFDaEMsMEJBQTBCLEVBQUE7RUFHNUI7SUFDRSx5QlI5QjJCO0lRK0IzQixvQkFBYTtJQUFiLG9CQUFhO0lBQWIsYUFBYTtJQUNiLHlCQUE4QjtRQUE5QixzQkFBOEI7WUFBOUIsOEJBQThCO0lBRTlCLDRDQUE0QyxFQUFBO0lQbEM5QztNTzZCQTtRQVFJLHlCUmpDK0I7UVFtQy9CLHVCUm5DK0IsRUFBQSxFUThDbEM7SVB0Q0Q7TU9pQkE7UUFjSSx3QlIzQ3lCLEVBQUEsRVFrRDVCO0lBckJBO01BaUJHLGlCQUFpQjtNQUVqQixnQkFBZ0IsRUFBQTs7QUNqRHRCO0VBQ0UsV0FBVztFQUNYLG9CQUFhO0VBQWIsb0JBQWE7RUFBYixhQUFhO0VBQ2IsNEJBQXNCO0VBQXRCLDZCQUFzQjtNQUF0QiwwQkFBc0I7VUFBdEIsc0JBQXNCO0VBQ3RCLGNUSDZCLEVBQUE7RUNBN0I7SVFERjtNQU9JLGNURmlDLEVBQUEsRVNJcEMiLCJmaWxlIjoiY29tcG9uZW50cy9jYXJkcy9jYXNlLWNhcmQvY2FzZS1jYXJkLXByb2R1Y3RfdDIuY3NzIiwic291cmNlc0NvbnRlbnQiOlsiQGltcG9ydCBcIi4uLy4uLy4uL21peGluc1wiO1xuXG4uY2FzZS1jYXJkLmNhc2UtY2FyZF9wcm9kdWN0LTIge1xuICAuY2FzZS1jYXJkIHtcbiAgICAmX19oZWFkZXIge1xuICAgICAgcG9zaXRpb246IHJlbGF0aXZlO1xuICAgICAgei1pbmRleDogMjtcbiAgXG4gICAgICB3aWR0aDogMTAwJTtcbiAgICAgIGhlaWdodDogcmVtKDI1MCk7XG4gIFxuICAgICAgYm9yZGVyLXJhZGl1czogdmFyKC0tcmFkaXVzLXByaW1hcnkpO1xuICAgICAgb3ZlcmZsb3c6IGhpZGRlbjtcblxuICAgICAgZmxleC1zaHJpbms6IDA7XG4gIFxuICAgICAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICAgICAgaGVpZ2h0OiBiaWcoMjUwKTtcbiAgICAgIH1cbiAgXG4gICAgICBAaW5jbHVkZSBtZWRpYUxhcHRvcCB7XG4gICAgICAgIGhlaWdodDogcmVtKDIyMCk7XG4gICAgICB9XG4gIFxuICAgICAgQGluY2x1ZGUgbWVkaWFNb2JpbGUge1xuICAgICAgICBoZWlnaHQ6IHJlbSgyMDApO1xuICAgICAgfVxuICBcbiAgICAgICY6OmJlZm9yZSB7XG4gICAgICAgIGNvbnRlbnQ6IFwiXCI7XG4gIFxuICAgICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICAgIGJvdHRvbTogMDtcbiAgICAgICAgbGVmdDogMDtcbiAgICAgICAgei1pbmRleDogMTtcbiAgXG4gICAgICAgIHdpZHRoOiAxMDAlO1xuICAgICAgICBoZWlnaHQ6IHJlbSgxMzApO1xuICBcbiAgICAgICAgYmFja2dyb3VuZC1pbWFnZTogbGluZWFyLWdyYWRpZW50KDE4MGRlZywgcmdiYSgwLCAwLCAwLCAwLjAwKSAwJSwgcmdiYSgwLCAwLCAwLCAwLjUwKSAxMDAlKTtcbiAgXG4gICAgICAgIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgICAgICAgaGVpZ2h0OiBiaWcoMTMwKTtcbiAgICAgICAgfVxuICBcbiAgICAgICAgQGluY2x1ZGUgbWVkaWFMYXB0b3Age1xuICAgICAgICAgIGhlaWdodDogcmVtKDk0KTtcbiAgICAgICAgfVxuICBcbiAgICAgICAgQGluY2x1ZGUgbWVkaWFNb2JpbGUge1xuICAgICAgICAgIGhlaWdodDogcmVtKDU4KTtcbiAgICAgICAgfVxuICAgICAgfVxuICAgIH1cbiAgXG4gICAgJl9fY29udGVudCB7XG4gICAgICBwYWRkaW5nOiByZW0oMjUpIHJlbSgzMCkgcmVtKDMwKTtcbiAgICAgIHdpZHRoOiAxMDAlO1xuICAgICAgaGVpZ2h0OiAxMDAlO1xuICAgICAgZGlzcGxheTogZmxleDtcbiAgICAgIGZsZXgtZGlyZWN0aW9uOiBjb2x1bW47XG4gICAgICBhbGlnbi1pdGVtczogZmxleC1zdGFydDtcbiAgICAgIGp1c3RpZnktY29udGVudDogZmxleC1zdGFydDtcbiAgICAgIGdhcDogcmVtKDIwKTtcbiAgXG4gICAgICBAaW5jbHVkZSBtZWRpYUJpZ0Rlc2t0b3Age1xuICAgICAgICBwYWRkaW5nOiBiaWcoMjUpIGJpZygzMCkgYmlnKDMwKTtcbiAgICAgICAgZ2FwOiBiaWcoMjApO1xuICAgICAgfVxuICBcbiAgICAgIEBpbmNsdWRlIG1lZGlhVGFibGV0IHtcbiAgICAgICAgcGFkZGluZzogcmVtKDI1KSByZW0oMjApO1xuICAgICAgICBnYXA6IHJlbSgxNSk7XG4gICAgICB9XG4gIFxuICAgICAgJiAucHJvZHVjdC1kZXRhaWxzIHtcbiAgICAgICAgJl9kZXNjcmlwdGlvbiB7XG4gICAgICAgICAgZGlzcGxheTogLXdlYmtpdC1ib3g7XG4gIFxuICAgICAgICAgIGhlaWdodDogcmVtKDk2KTtcbiAgXG4gICAgICAgICAgdGV4dC1vdmVyZmxvdzogZWxsaXBzaXM7XG4gICAgICAgICAgbGluZS1jbGFtcDogNDtcbiAgICAgICAgICAtd2Via2l0LWxpbmUtY2xhbXA6IDQ7XG4gICAgICAgICAgLXdlYmtpdC1ib3gtb3JpZW50OiB2ZXJ0aWNhbDtcbiAgXG4gICAgICAgICAgb3ZlcmZsb3c6IGhpZGRlbjtcbiAgXG4gICAgICAgICAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICAgICAgICAgIGhlaWdodDogYmlnKDk2KTtcbiAgICAgICAgICB9XG5cbiAgICAgICAgICBAaW5jbHVkZSBtZWRpYUxhcHRvcCB7XG4gICAgICAgICAgICBoZWlnaHQ6IHJlbSg4NSk7XG4gICAgICAgICAgfVxuICBcbiAgICAgICAgICBAaW5jbHVkZSBtZWRpYU1vYmlsZSB7XG4gICAgICAgICAgICBsaW5lLWNsYW1wOiAzO1xuICAgICAgICAgICAgLXdlYmtpdC1saW5lLWNsYW1wOiAzO1xuICAgICAgICAgIH1cbiAgICAgICAgfVxuICAgICAgfVxuXG4gICAgICAmIC5wcm9kdWN0LXByaWNlIHtcbiAgICAgICAgbWFyZ2luLXRvcDogYXV0bztcbiAgICAgICAgZmxleC13cmFwOiB3cmFwO1xuICAgICAgICByb3ctZ2FwOiAwO1xuICAgICAgfVxuICBcbiAgICAgICYgLnByb2R1Y3QtYnV0dG9uIHtcbiAgICAgICAgd2lkdGg6IDEwMCU7XG5cbiAgICAgICAgJiAuYnV0dG9uIHtcbiAgICAgICAgICB3aWR0aDogMTAwJTtcbiAgICAgICAgfVxuICAgICAgfVxuICAgIH1cbiAgXG4gICAgJl9fdGl0bGUge1xuICAgICAgd2lkdGg6IDEwMCU7XG4gICAgICBkaXNwbGF5OiBibG9jaztcbiAgXG4gICAgICBjb2xvcjogdmFyKC0tdGV4dC1saWdodC1wcmltYXJ5KTtcbiAgICAgIGZvbnQ6IHZhcigtLWZvbnQtdGl0bGUtUyk7XG4gICAgICB0ZXh0LWRlY29yYXRpb246IG5vbmU7XG4gIFxuICAgICAgdHJhbnNpdGlvbjogY29sb3IgdmFyKC0tYW5pbWF0aW9uLWRlZmF1bHQpO1xuICBcbiAgICAgICZbaHJlZl0ge1xuICAgICAgIEBpbmNsdWRlIGhvdmVyIHtcbiAgICAgICAgIGNvbG9yOiB2YXIoLS1hY2NlbnQtcHJpbWFyeS1kZWZhdWx0KTtcbiAgICAgICAgfVxuICBcbiAgICAgICAgJjo6YmVmb3JlIHtcbiAgICAgICAgICBAaW5jbHVkZSBwc2V1ZG8oMCk7XG4gICAgICAgIH0gXG4gICAgICB9XG4gICAgfVxuICBcbiAgICAmX19kZXNjcmlwdGlvbiB7XG4gICAgICB3aWR0aDogMTAwJTtcbiAgICAgIGhlaWdodDogYXV0bztcbiAgICAgIGRpc3BsYXk6IGdyaWQ7XG4gICAgICBncmlkLXRlbXBsYXRlLWNvbHVtbnM6IDFmcjtcbiAgICAgIGdyaWQtdGVtcGxhdGUtcm93czogMWZyO1xuICAgICAgcm93LWdhcDogcmVtKDE1KTtcbiAgICAgIGNvbHVtbi1nYXA6IHJlbSgwKTtcbiAgICB9XG4gIFxuICAgICZfX29wdGlvbiB7XG4gICAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG5cbiAgICAgIHdpZHRoOiAxMDAlO1xuICAgICAgZGlzcGxheTogZmxleDtcbiAgICAgIGFsaWduLWl0ZW1zOiBjZW50ZXI7XG4gICAgICBhbGlnbi1zZWxmOiBzdHJldGNoO1xuICAgICAganVzdGlmeS1jb250ZW50OiBmbGV4LXN0YXJ0O1xuICAgICAgZ2FwOiByZW0oMTApO1xuICBcbiAgICAgIGNvbG9yOiB2YXIoLS10ZXh0LWxpZ2h0LXByaW1hcnkpO1xuICAgICAgZm9udDogdmFyKC0tZm9udC1ib2R5LU0tcik7XG4gIFxuICAgICAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICAgICAgZ2FwOiBiaWcoMTApO1xuICAgICAgfVxuICBcbiAgICAgICYgPiAuaWNvbiB7XG4gICAgICAgIEBpbmNsdWRlIHNxdWFyZSgyMCwgdHJ1ZSk7XG4gIFxuICAgICAgICBmaWxsOiB2YXIoLS1hY2NlbnQtc2Vjb25kYXJ5LWRlZmF1bHQpO1xuICAgICAgfVxuXG4gICAgICAmX19pY29uIHtcbiAgICAgICAgQGluY2x1ZGUgc3F1YXJlKDI0LCB0cnVlKTtcbiAgICAgIH1cbiAgICB9XG4gIFxuICAgICZfX2l0ZW0ge1xuICAgICAgd2lkdGg6IDEwMCU7XG4gICAgICBkaXNwbGF5OiBmbGV4O1xuICAgICAgZmxleC1kaXJlY3Rpb246IHJvdztcbiAgICAgIGFsaWduLWl0ZW1zOiBmbGV4LXN0YXJ0O1xuICAgICAganVzdGlmeS1jb250ZW50OiBzcGFjZS1iZXR3ZWVuO1xuICAgIH1cbiAgXG4gICAgJl9fdGV4dCB7XG4gICAgICBjb2xvcjogdmFyKC0tdGV4dC1saWdodC1zZWNvbmRhcnkpO1xuICAgICAgZm9udDogdmFyKC0tZm9udC1ib2R5LU0tcik7XG4gICAgfVxuICBcbiAgICAmX19yYXRlIHtcbiAgICAgIGNvbG9yOiB2YXIoLS10ZXh0LWxpZ2h0LXByaW1hcnkpO1xuICAgICAgZm9udDogdmFyKC0tZm9udC1ib2R5LU0tbSk7XG4gICAgfVxuICB9XG59XG5cbkBpbXBvcnRcblwiY2FzZS1jYXJkLWdlbmVyYWxcIixcblwiLi4vcHJvZHVjdC1jYXJkL2Rlc2NyaXB0aW9uXCIsXG5cIi4uL3Byb2R1Y3QtY2FyZC9wcm9kdWN0LXByaWNlXCIsXG5cIi4uL3Byb2R1Y3QtY2FyZC9wcm9kdWN0LWRldGFpbHNcIixcblwiLi4vcHJvZHVjdC1jYXJkL3Byb2R1Y3QtdGFnc1wiO1xuIiwiQGZ1bmN0aW9uIHJlbSgkcGl4ZWxzKSB7XG4gIEByZXR1cm4gI3skcGl4ZWxzIC8gMTZ9cmVtO1xufVxuXG5AZnVuY3Rpb24gYmlnKCRwaXhlbHMpIHtcbiAgQHJldHVybiAjeyRwaXhlbHMgLyAxOTIwICogMTAwfXZ3O1xufVxuIiwiQG1peGluIG1lZGlhQmlnRGVza3RvcCB7XG4gIEBtZWRpYSBzY3JlZW4gYW5kIChtaW4td2lkdGg6IDE5MjFweCkge1xuICAgIEBjb250ZW50O1xuICB9XG59XG5cbi8vIEBtaXhpbiBtZWRpYURlc2t0b3Age1xuLy8gICBAbWVkaWEgc2NyZWVuIGFuZCAobWluLXdpZHRoOiAje3JlbSgyMjAxKX0pIHtcbi8vICAgICBAY29udGVudDtcbi8vICAgfVxuLy8gfVxuXG5AbWl4aW4gbWVkaWFMYXB0b3Age1xuICBAbWVkaWEgc2NyZWVuIGFuZCAobWF4LXdpZHRoOiAxNzAwcHgpIHtcbiAgICBAY29udGVudDtcbiAgfVxufVxuXG5AbWl4aW4gbWVkaWFUYWJsZXQge1xuICBAbWVkaWEgc2NyZWVuIGFuZCAobWF4LXdpZHRoOiAxMjQwcHgpIHtcbiAgICBAY29udGVudDtcbiAgfVxufVxuXG5AbWl4aW4gbWVkaWFNb2JpbGUge1xuICBAbWVkaWEgc2NyZWVuIGFuZCAobWF4LXdpZHRoOiA3NTBweCkge1xuICAgIEBjb250ZW50O1xuICB9XG59XG5cbkBtaXhpbiBtZWRpYSgkd2lkdGgpIHtcbiAgQG1lZGlhIHNjcmVlbiBhbmQgKG1heC13aWR0aDogJHdpZHRoKSB7XG4gICAgQGNvbnRlbnQ7XG4gIH1cbn1cbiIsIkBtaXhpbiBob3ZlciB7XG4gIEBtZWRpYSAoYW55LWhvdmVyOiBob3Zlcikge1xuICAgICY6aG92ZXIge1xuICAgICAgQGNvbnRlbnQ7XG4gICAgfVxuICB9XG59XG5cbkBtaXhpbiBob3Zlci1mb2N1cyB7XG4gIEBtZWRpYSAoYW55LWhvdmVyOiBob3Zlcikge1xuXG4gICAgJjpob3ZlcixcbiAgICAmOmZvY3VzIHtcbiAgICAgIG91dGxpbmU6IG5vbmU7XG4gICAgICBcbiAgICAgIEBjb250ZW50O1xuICAgIH1cbiAgfVxufVxuIiwiQG1peGluIHBzZXVkbygkcGl4ZWwpIHtcbiAgY29udGVudDogXCJcIjtcblxuICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gIHRvcDogLSN7cmVtKCRwaXhlbCl9O1xuICBsZWZ0OiAtI3tyZW0oJHBpeGVsKX07XG5cbiAgd2lkdGg6IGNhbGMoMTAwJSArICN7cmVtKCRwaXhlbCl9ICogMik7XG4gIGhlaWdodDogY2FsYygxMDAlICsgI3tyZW0oJHBpeGVsKX0gKiAyKTtcblxuICBiYWNrZ3JvdW5kLWNvbG9yOiB0cmFuc3BhcmVudDtcbiAgb3BhY2l0eTogMDtcblxuICBAaW5jbHVkZSBtZWRpYUJpZ0Rlc2t0b3Age1xuICAgIHRvcDogI3tiaWcoLSRwaXhlbCl9O1xuICAgIGxlZnQ6ICN7YmlnKC0kcGl4ZWwpfTtcblxuICAgIHdpZHRoOiBjYWxjKDEwMCUgKyAje2JpZygkcGl4ZWwpfSAqIDIpO1xuICAgIGhlaWdodDogY2FsYygxMDAlICsgI3tiaWcoJHBpeGVsKX0gKiAyKTtcbiAgfVxuXG4gIEBjb250ZW50O1xufVxuIiwiQG1peGluIHNxdWFyZSgkcGl4ZWxzLCAkbWVkaWFCaWdEZXNrdG9wOiBmYWxzZSkge1xuICB3aWR0aDogI3tyZW0oJHBpeGVscyl9O1xuICBoZWlnaHQ6ICN7cmVtKCRwaXhlbHMpfTtcblxuICBAaWYgJG1lZGlhQmlnRGVza3RvcCB7XG4gICAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICAgIHdpZHRoOiAje2JpZygkcGl4ZWxzKX07XG4gICAgICBoZWlnaHQ6ICN7YmlnKCRwaXhlbHMpfTtcbiAgICB9XG4gIH1cbn1cbiIsIkBpbXBvcnQgXCIuLi8uLi8uLi9taXhpbnNcIjtcblxuLmNhc2UtY2FyZCB7XG4gIHBvc2l0aW9uOiByZWxhdGl2ZTtcblxuICB3aWR0aDogMTAwJTtcbiAgbWF4LXdpZHRoOiByZW0oNzQ1KTtcbiAgaGVpZ2h0OiAxMDAlO1xuICBkaXNwbGF5OiBmbGV4O1xuICBmbGV4LWRpcmVjdGlvbjogY29sdW1uO1xuICBhbGlnbi1pdGVtczogZmxleC1zdGFydDtcblxuICBib3JkZXI6IDFweCBzb2xpZCB2YXIoLS1zdHJva2UtZGFyayk7XG4gIGJvcmRlci1yYWRpdXM6IHZhcigtLXJhZGl1cy1wcmltYXJ5KTtcbiAgb3ZlcmZsb3c6IGhpZGRlbjtcblxuICBAaW5jbHVkZSBtZWRpYUJpZ0Rlc2t0b3Age1xuICAgIG1heC13aWR0aDogYmlnKDc0NSk7XG5cbiAgICBib3JkZXItd2lkdGg6IGJpZygxKTtcbiAgfVxuXG4gIEBpbmNsdWRlIG1lZGlhTGFwdG9wIHtcbiAgICBtYXgtd2lkdGg6IHJlbSg1NTUpO1xuICB9XG5cbiAgQGluY2x1ZGUgbWVkaWFUYWJsZXQge1xuICAgIG1heC13aWR0aDogcmVtKDMzMyk7XG4gIH1cblxuICBAaW5jbHVkZSBtZWRpYU1vYmlsZSB7XG4gICAgbWF4LXdpZHRoOiByZW0oMjkwKTtcbiAgfVxuXG4gICZfX3RhZ3Mge1xuICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcbiAgICB0b3A6IHJlbSgxMik7XG4gICAgcmlnaHQ6IHJlbSgxMik7XG4gICAgbGVmdDogcmVtKDEyKTtcbiAgICB6LWluZGV4OiAxO1xuXG4gICAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICAgIHRvcDogYmlnKDEyKTtcbiAgICAgIHJpZ2h0OiBiaWcoMTIpO1xuICAgICAgbGVmdDogYmlnKDEyKTtcbiAgICB9XG4gIH1cblxuICAmX190aXRsZSB7XG4gICAgbWFyZ2luLWJvdHRvbTogYXV0bztcbiAgfVxuXG4gICZfX2ltYWdlIHtcbiAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgdG9wOiAwO1xuICAgIGxlZnQ6IDA7XG4gICAgei1pbmRleDogMDtcblxuICAgIHdpZHRoOiAxMDAlO1xuICAgIGhlaWdodDogMTAwJTtcbiAgICBkaXNwbGF5OiBub25lO1xuXG4gICAgcG9pbnRlci1ldmVudHM6IG5vbmU7XG5cbiAgICAmX2FjdGl2ZSB7XG4gICAgICBkaXNwbGF5OiBibG9jaztcbiAgICB9XG5cbiAgICAmIGltZyxcbiAgICAmIHBpY3R1cmUge1xuICAgICAgd2lkdGg6IDEwMCU7XG4gICAgICBoZWlnaHQ6IDEwMCU7XG4gICAgICBvYmplY3QtZml0OiBjb3ZlcjtcbiAgICAgIG9iamVjdC1wb3NpdGlvbjogY2VudGVyO1xuXG4gICAgICB1c2VyLXNlbGVjdDogbm9uZTtcbiAgICB9XG4gIH1cblxuICAmX19zbGlkZXNob3cge1xuICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcbiAgICB0b3A6IDA7XG4gICAgbGVmdDogMDtcbiAgICB6LWluZGV4OiAyO1xuXG4gICAgcGFkZGluZzogcmVtKDE1KTtcbiAgICB3aWR0aDogMTAwJTtcbiAgICBoZWlnaHQ6IDEwMCU7XG4gICAgZGlzcGxheTogZmxleDtcbiAgICBhbGlnbi1pdGVtczogc3RyZXRjaDtcbiAgICBqdXN0aWZ5LWNvbnRlbnQ6IHN0cmV0Y2g7XG4gICAgZ2FwOiByZW0oMTApO1xuXG4gICAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICAgIHBhZGRpbmc6IGJpZygxNSk7XG4gICAgICBnYXA6IGJpZygxMCk7XG4gICAgfVxuICB9XG5cbiAgJl9fYnV0dG9uIHtcbiAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG5cbiAgICB3aWR0aDogMTAwJTtcbiAgICBoZWlnaHQ6IDEwMCU7XG4gICAgZmxleC1ncm93OiAxO1xuXG4gICAgQGluY2x1ZGUgaG92ZXIge1xuICAgICAgJjo6YWZ0ZXIge1xuICAgICAgICBiYWNrZ3JvdW5kLWNvbG9yOiB2YXIoLS1iZy13aGl0ZSk7XG4gICAgICB9XG4gICAgfVxuXG4gICAgJjo6YmVmb3JlIHtcbiAgICAgIEBpbmNsdWRlIHBzZXVkbyg1KTtcbiAgICB9XG5cbiAgICAmOjphZnRlciB7XG4gICAgICBjb250ZW50OiBcIlwiO1xuXG4gICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICBib3R0b206IDA7XG4gICAgICBsZWZ0OiAwO1xuXG4gICAgICB3aWR0aDogMTAwJTtcbiAgICAgIGhlaWdodDogcmVtKDMpO1xuXG4gICAgICBiYWNrZ3JvdW5kLWNvbG9yOiB2YXIoLS10ZXh0LWxpZ2h0LWRpc2FibGVkKTtcbiAgICAgIGJvcmRlci1yYWRpdXM6IHZhcigtLXJhZGl1cy1pbmZpbml0eSk7XG5cbiAgICAgIHRyYW5zaXRpb246IGJhY2tncm91bmQtY29sb3IgdmFyKC0tYW5pbWF0aW9uLWRlZmF1bHQpO1xuXG4gICAgICBAaW5jbHVkZSBtZWRpYUJpZ0Rlc2t0b3Age1xuICAgICAgICBoZWlnaHQ6IGJpZygzKTtcbiAgICAgIH1cbiAgICB9XG5cbiAgICAmX2FjdGl2ZSB7XG4gICAgICAmOjphZnRlciB7XG4gICAgICAgIGJhY2tncm91bmQtY29sb3I6IHZhcigtLWJnLXdoaXRlKTtcbiAgICAgIH1cbiAgICB9XG4gIH1cbn1cbiIsIkBpbXBvcnQgXCIuLi8uLi8uLi9taXhpbnNcIjtcblxuLnByb2R1Y3QtY2FyZC5wcm9kdWN0LWNhcmRfZGVzY3JpcHRpb24ge1xuICAmIC5wcm9kdWN0LWRldGFpbHMge1xuICAgIGRpc3BsYXk6IC13ZWJraXQtYm94O1xuXG4gICAgdGV4dC1vdmVyZmxvdzogZWxsaXBzaXM7XG4gICAgICAgICAgICBsaW5lLWNsYW1wOiAzO1xuICAgIC13ZWJraXQtbGluZS1jbGFtcDogMztcbiAgICAtd2Via2l0LWJveC1vcmllbnQ6IHZlcnRpY2FsO1xuXG4gICAgb3ZlcmZsb3c6IGhpZGRlbjtcbiAgfVxufVxuIiwiLnByb2R1Y3QtcHJpY2Uge1xuICBkaXNwbGF5OiBmbGV4O1xuICBmbGV4LWRpcmVjdGlvbjogcm93O1xuICBhbGlnbi1pdGVtczogZmxleC1zdGFydDtcbiAgZmxleC13cmFwOiB3cmFwO1xuICBnYXA6IHJlbSgxMCk7XG4gIHJvdy1nYXA6IDA7XG5cbiAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICBnYXA6IGJpZygxMCk7XG4gIH1cblxuICAmX192YWx1ZSB7XG4gICAgd2lkdGg6IGZpdC1jb250ZW50O1xuXG4gICAgY29sb3I6IHZhcigtLXRleHQtbGlnaHQtcHJpbWFyeSk7XG4gICAgZm9udDogdmFyKC0tZm9udC10aXRsZS1TKTtcblxuICAgIEBpbmNsdWRlIG1lZGlhTGFwdG9wIHtcbiAgICAgIGZvbnQ6IHZhcigtLWZvbnQtYm9keS1MLW0pO1xuICAgIH1cblxuICAgICZfb2xkIHtcbiAgICAgIHdpZHRoOiBmaXQtY29udGVudDtcblxuICAgICAgY29sb3I6IHZhcigtLXRleHQtbGlnaHQtc2Vjb25kYXJ5KTtcbiAgICAgIGZvbnQ6IHZhcigtLWZvbnQtYm9keS1NLW0pO1xuXG4gICAgICBAaW5jbHVkZSBtZWRpYVRhYmxldCB7XG4gICAgICAgIGZvbnQ6IHZhcigtLWZvbnQtYm9keS1TLW0pO1xuICAgICAgfVxuICAgIH1cbiAgfVxufVxuIiwiLnByb2R1Y3QtZGV0YWlscyB7XG4gIG1hcmdpbjogMDtcblxuICBwYWRkaW5nOiAwO1xuICB3aWR0aDogMTAwJTtcbiAgZGlzcGxheTogZmxleDtcbiAgZmxleC1kaXJlY3Rpb246IGNvbHVtbjtcbiAgZ2FwOiByZW0oMTUpO1xuXG4gIGNvbG9yOiB2YXIoLS10ZXh0LWxpZ2h0LXNlY29uZGFyeSk7XG4gIGZvbnQ6IHZhcigtLWZvbnQtYm9keS1NLXIpO1xuXG4gIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgZ2FwOiBiaWcoMTUpO1xuICB9XG5cbiAgQGluY2x1ZGUgbWVkaWFMYXB0b3Age1xuICAgIGdhcDogcmVtKDEwKTtcbiAgfVxuXG4gICZfX2Rlc2NyaXB0aW9uIHtcbiAgICBjb2xvcjogdmFyKC0tdGV4dC1saWdodC1zZWNvbmRhcnkpO1xuICAgIGZvbnQ6IHZhcigtLWZvbnQtYm9keS1NLXIpO1xuICB9XG5cbiAgJl9fcmF0ZSB7XG4gICAgY29sb3I6IHZhcigtLXRleHQtbGlnaHQtcHJpbWFyeSk7XG4gICAgZm9udDogdmFyKC0tZm9udC1ib2R5LU0tbSk7XG4gIH1cblxuICAmX19pdGVtIHtcbiAgICBwYWRkaW5nLWJvdHRvbTogcmVtKDE1KTtcbiAgICBkaXNwbGF5OiBmbGV4O1xuICAgIGp1c3RpZnktY29udGVudDogc3BhY2UtYmV0d2VlbjtcblxuICAgIGJvcmRlci1ib3R0b206IDFweCBkYXNoZWQgdmFyKC0tc3Ryb2tlLWRhcmspO1xuXG4gICAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICAgIHBhZGRpbmctYm90dG9tOiBiaWcoMTUpO1xuXG4gICAgICBib3JkZXItd2lkdGg6IGJpZygxKTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYUxhcHRvcCB7XG4gICAgICBwYWRkaW5nLWJvdHRvbTogcmVtKDEwKTtcbiAgICB9XG4gICAgJjpsYXN0LWNoaWxkIHtcbiAgICAgIHBhZGRpbmctYm90dG9tOiAwO1xuICBcbiAgICAgIGJvcmRlci1ib3R0b206IDA7XG4gICAgfVxuICB9XG59XG4iLCIucHJvZHVjdC10YWdzIHtcbiAgd2lkdGg6IGF1dG87XG4gIGRpc3BsYXk6IGZsZXg7XG4gIGZsZXgtZGlyZWN0aW9uOiBjb2x1bW47XG4gIGdhcDogcmVtKDUpO1xuXG4gIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgZ2FwOiBiaWcoNSk7XG4gIH1cbn1cbiJdfQ== */
